---
updatedAt: 2025-06-12T20:22:26.000Z
agentTools:
  projectIndex: https://developer.toky.co/llms.txt
---

# /webhooks/authentication

Configure authentication for all webhooks events sent

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "webhooks",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.toky.co/v1"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "query",
        "name": "api_key"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/webhooks/authentication": {
      "post": {
        "summary": "/webhooks/authentication",
        "description": "Configure authentication for all webhooks events sent",
        "operationId": "webhooksauthentication",
        "parameters": [
          {
            "name": "x-toky-key",
            "in": "header",
            "description": "Toky API key",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "content-type",
            "in": "header",
            "description": "application/json",
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "RAW_BODY": {
                    "type": "string",
                    "description": "\"type\": HTTP basic access authentication. Only basic_auth available.",
                    "default": "{\"type\":\"basic_auth\",\"username\":\"xxx\",\"password\":\"yyy\"}",
                    "format": "json"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl -d '{\"type\":\"basic_auth\",\"username\":\"xxx\",\"password\":\"yyy\"}' -H \"Content-Type: application/json\" -H \"X-Toky-Key: {api_key}\" -X POST https://api.toky.co/v1/webhooks/authentication"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```